org.apache.flume.instrumentation

## Enum MonitoringType

- java.lang.Object
- - java.lang.Enum<MonitoringType>
  - - org.apache.flume.instrumentation.MonitoringType

- All Implemented Interfaces:
    Serializable, Comparable<MonitoringType>

      public enum MonitoringType
      extends Enum<MonitoringType>

  Enum for Monitoring types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GANGLIA`
    `HTTP`
    `OTHER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends MonitorService>` | `getMonitorClass()`
    `static MonitoringType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MonitoringType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final MonitoringType OTHER

    - #### GANGLIA

          public static final MonitoringType GANGLIA

    - #### HTTP

          public static final MonitoringType HTTP

  - ### Method Detail

    - #### values

          public static MonitoringType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MonitoringType c : MonitoringType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MonitoringType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getMonitorClass

          public Class<? extends MonitorService> getMonitorClass()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.